Bug 884806 - No predefined LVs on DVD install
No predefined LVs on DVD install
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
: 884257 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-06 13:19 EST by Gene Czarcinski
Modified: 2014-06-10 00:14 EDT (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 11:16:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
gczarcinski: needinfo-


Attachments (Terms of Use)
pvscan (256 bytes, text/plain)
2012-12-06 13:20 EST, Gene Czarcinski
no flags Details
lvscan (545 bytes, text/plain)
2012-12-06 13:21 EST, Gene Czarcinski
no flags Details
anaconda.log.gz (2.59 KB, application/x-gzip)
2012-12-06 13:22 EST, Gene Czarcinski
no flags Details
/tmp/syslog (23.18 KB, application/x-gzip)
2012-12-06 13:23 EST, Gene Czarcinski
no flags Details
/tmp/storage.log (15.49 KB, application/x-gzip)
2012-12-06 13:24 EST, Gene Czarcinski
no flags Details
/tmp/program.log (5.91 KB, application/x-gzip)
2012-12-06 13:26 EST, Gene Czarcinski
no flags Details

  None (edit)
Description Gene Czarcinski 2012-12-06 13:19:30 EST
Description of problem:
I have attempted to install F18-beta on a couple of AMD x86_64 systems.  The problem is that for, manual storage configuration, no predefined LVs are shown.  Booting up the live gnome-desktop dvd and then attempting to install does show the LVs.

I also attempted to install on a second AMD x86_64 system and, on that one, the LVs and other installed systems were displayed.

When I got to the manual configuration page, I switched over to the shell and attempted to capture any info I could find.  The results are attached (mostly gziped files).
Comment 1 Gene Czarcinski 2012-12-06 13:20:26 EST
Created attachment 658938 [details]
pvscan
Comment 2 Gene Czarcinski 2012-12-06 13:21:00 EST
Created attachment 658939 [details]
lvscan
Comment 3 Gene Czarcinski 2012-12-06 13:22:30 EST
Created attachment 658942 [details]
anaconda.log.gz
Comment 4 Gene Czarcinski 2012-12-06 13:23:12 EST
Created attachment 658943 [details]
/tmp/syslog
Comment 5 Gene Czarcinski 2012-12-06 13:24:58 EST
Created attachment 658944 [details]
/tmp/storage.log
Comment 6 Gene Czarcinski 2012-12-06 13:26:26 EST
Created attachment 658945 [details]
/tmp/program.log
Comment 7 David Lehman 2012-12-06 13:41:29 EST
17:46:24,229 ERR systemd-udevd: timeout '/sbin/lvm pvs --config 'global {locking_type=4}' --units k --nosuffix --nameprefixes --rows --unquoted --noheadings -opv_name,pv_uuid,pv_size,pv_pe_count,pv_pe_alloc_count,pe_start,vg_name,vg_uuid,vg_size,vg_free,vg_extent_size,vg_extent_count,vg_free_count,pv_count /dev/sdb1'
17:46:24,238 ERR systemd-udevd: timeout '/sbin/lvm pvs --config 'global {locking_type=4}' --units k --nosuffix --nameprefixes --rows --unquoted --noheadings -opv_name,pv_uuid,pv_size,pv_pe_count,pv_pe_alloc_count,pe_start,vg_name,vg_uuid,vg_size,vg_free,vg_extent_size,vg_extent_count,vg_free_count,pv_count /dev/sda9'
17:46:24,239 ERR systemd-udevd: timeout '/sbin/lvm pvs --config 'global {locking_type=4}' --units k --nosuffix --nameprefixes --rows --unquoted --noheadings -opv_name,pv_uuid,pv_size,pv_pe_count,pv_pe_alloc_count,pe_start,vg_name,vg_uuid,vg_size,vg_free,vg_extent_size,vg_extent_count,vg_free_count,pv_count /dev/sdc1'
17:46:25,230 ERR systemd-udevd: timeout: killing '/sbin/lvm pvs --config 'global {locking_type=4}' --units k --nosuffix --nameprefixes --rows --unquoted --noheadings -opv_name,pv_uuid,pv_size,pv_pe_count,pv_pe_alloc_count,pe_start,vg_name,vg_uuid,vg_size,vg_free,vg_extent_size,vg_extent_count,vg_free_count,pv_count /dev/sdb1' [812]
17:46:25,239 ERR systemd-udevd: timeout: killing '/sbin/lvm pvs --config 'global {locking_type=4}' --units k --nosuffix --nameprefixes --rows --unquoted --noheadings -opv_name,pv_uuid,pv_size,pv_pe_count,pv_pe_alloc_count,pe_start,vg_name,vg_uuid,vg_size,vg_free,vg_extent_size,vg_extent_count,vg_free_count,pv_count /dev/sda9' [832]
17:46:25,240 ERR systemd-udevd: timeout: killing '/sbin/lvm pvs --config 'global {locking_type=4}' --units k --nosuffix --nameprefixes --rows --unquoted --noheadings -opv_name,pv_uuid,pv_size,pv_pe_count,pv_pe_alloc_count,pe_start,vg_name,vg_uuid,vg_size,vg_free,vg_extent_size,vg_extent_count,vg_free_count,pv_count /dev/sdc1' [819]



And then:

17:46:40,624 WARNING kernel:[  165.171986] Pid: 819, comm: lvm Tainted: GF            3.6.6-3.fc18.x86_64 #1
17:46:40,624 WARNING kernel:[  165.171989] Call Trace:
17:46:40,624 WARNING kernel:[  165.172005]  [<ffffffff8105b8df>] warn_slowpath_common+0x7f/0xc0
17:46:40,624 WARNING kernel:[  165.172020]  [<ffffffffa0073bd0>] ? start_motor+0x130/0x130 [floppy]
17:46:40,624 WARNING kernel:[  165.172027]  [<ffffffff8105b93a>] warn_slowpath_null+0x1a/0x20
17:46:40,624 WARNING kernel:[  165.172039]  [<ffffffffa006fc7e>] schedule_bh+0x4e/0x50 [floppy]
17:46:40,624 WARNING kernel:[  165.172052]  [<ffffffffa006fca0>] process_fd_request+0x20/0x30 [floppy]
17:46:40,624 WARNING kernel:[  165.172064]  [<ffffffffa00703bf>] __floppy_read_block_0+0xdf/0x110 [floppy]
17:46:40,624 WARNING kernel:[  165.172076]  [<ffffffffa00703f0>] ? __floppy_read_block_0+0x110/0x110 [floppy]
17:46:40,624 WARNING kernel:[  165.172090]  [<ffffffffa007276e>] floppy_revalidate+0x1be/0x250 [floppy]
17:46:40,624 WARNING kernel:[  165.172100]  [<ffffffff811c5962>] check_disk_change+0x72/0x80
17:46:40,624 WARNING kernel:[  165.172112]  [<ffffffffa0070d44>] floppy_open+0x204/0x3c0 [floppy]
17:46:40,624 WARNING kernel:[  165.172122]  [<ffffffff811c6b5a>] __blkdev_get+0x37a/0x4b0
17:46:40,624 WARNING kernel:[  165.172129]  [<ffffffff811c6e25>] blkdev_get+0x195/0x2e0
17:46:40,624 WARNING kernel:[  165.172139]  [<ffffffff812821da>] ? inode_has_perm.isra.31.constprop.61+0x2a/0x30
17:46:40,624 WARNING kernel:[  165.172146]  [<ffffffff811c6fcf>] blkdev_open+0x5f/0x90
17:46:40,624 WARNING kernel:[  165.172153]  [<ffffffff8118db23>] do_dentry_open+0x203/0x290
17:46:40,624 WARNING kernel:[  165.172159]  [<ffffffff811c6f70>] ? blkdev_get+0x2e0/0x2e0
17:46:40,624 WARNING kernel:[  165.172165]  [<ffffffff8118dbe5>] finish_open+0x35/0x50
17:46:40,624 WARNING kernel:[  165.172173]  [<ffffffff8119e91e>] do_last+0x6de/0xdf0
17:46:40,624 WARNING kernel:[  165.172179]  [<ffffffff8119b628>] ? inode_permission+0x18/0x50
17:46:40,624 WARNING kernel:[  165.172185]  [<ffffffff8119b6d7>] ? link_path_walk+0x77/0x880
17:46:40,624 WARNING kernel:[  165.172192]  [<ffffffff8119f0ea>] path_openat+0xba/0x4d0
17:46:40,624 WARNING kernel:[  165.172200]  [<ffffffff812821da>] ? inode_has_perm.isra.31.constprop.61+0x2a/0x30
17:46:40,624 WARNING kernel:[  165.172207]  [<ffffffff8119f761>] do_filp_open+0x41/0xa0
17:46:40,624 WARNING kernel:[  165.172215]  [<ffffffff811ab7ed>] ? alloc_fd+0x4d/0x120
17:46:40,624 WARNING kernel:[  165.172221]  [<ffffffff8118eb46>] do_sys_open+0xf6/0x1e0
17:46:40,624 WARNING kernel:[  165.172229]  [<ffffffff810d7cbc>] ? __audit_syscall_entry+0xcc/0x300
17:46:40,624 WARNING kernel:[  165.172235]  [<ffffffff8118ec51>] sys_open+0x21/0x30
17:46:40,624 WARNING kernel:[  165.172243]  [<ffffffff8162a4e9>] system_call_fastpath+0x16/0x1b
17:46:40,624 WARNING kernel:[  165.172247] ---[ end trace 26ce54982809014a ]---
Comment 8 Zdenek Kabelac 2012-12-06 14:50:21 EST
This looks like kernel bug - and should be probably reported to lkml - eventually create bugzilla for kernel package. 

I'd also suggest to retry with 3.7 kernel.

Is this happing always on your machine with floppy drive ?
Comment 9 Gene Czarcinski 2012-12-06 15:19:48 EST
I don't know about you but I have not seen a real floppy drive in more than a few years.  Because of what I sometimes do, I do have a "floppy" on a usb interface but I have not used it in more than 5 years.

I remember looking at some messages and seeing something about a floppy and wondering what was happening.

When I get a chance, I will reboot the system and see what the bios is configured for.  This is my oldest mobo and just might have some interface enabled but with nothing on it.
Comment 10 Gene Czarcinski 2012-12-06 15:33:27 EST
OK, the problem was caused by an enabled legacy floppy interface being enabled.  Disabled the interface in the BIOS and F18-beta "works" ... I can see all of the partitions, LVs and installed (multi-boot) systems.

I do not know if you want to really close this.  That enabled interface should not have hung things up.  I have not had any previous boot or install problems on this system.
Comment 11 David Lehman 2012-12-07 17:12:50 EST
*** Bug 884257 has been marked as a duplicate of this bug. ***
Comment 12 Zdenek Kabelac 2013-05-14 05:16:29 EDT
Moving to kernel, since missing floppy device shouldn't be blocking tasks in user space.
Comment 13 Justin M. Forbes 2013-10-18 17:20:56 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 14 Justin M. Forbes 2013-11-27 11:16:48 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  

It has been over a month since we asked you to test the 3.11 kernel updates and let us know if your issue has been resolved or is still a problem. When this happened, the bug was set to needinfo.  Because the needinfo is still set, we assume either this is no longer a problem, or you cannot provide additional information to help us resolve the issue.  As a result we are closing with insufficient data. If this is still a problem, we apologize, feel free to reopen the bug and provide more information so that we can work towards a resolution

If you experience different issues, please open a new bug report for those.

Note You need to log in before you can comment on or make changes to this bug.